image: docker:latest

services:
  - docker:dind

stages:
- build

before_script:
  - docker login -u $CI_REGISTRY_USER -p "$CI_REGISTRY_PASSWORD" $CI_REGISTRY

build:
  stage: build
  script:
    - docker build -t $IMAGE_TAG  .
    - docker push $IMAGE_TAG

    

 
